#include <fstream>
#include <string>

struct Elev {
    std::string nume;
    double media;
};

struct Clasa {
    std::string num;   /// numele clasei
    std::string dirig;
    int ne;            // nr de elevi
    Elev e[35];        // e[0], e[1],
};

void CitesteClasa(Clasa& c);
void AfiseazaClasa(const Clasa& c);

int main()
{
    Clasa c;
    CitesteClasa(c);
    AfiseazaClasa(c);

}

void CitesteClasa(Clasa& c)
{
    std::ifstream fin("clasa.in");
    fin >> c.num;
    fin >> c.dirig;
    fin >> c.ne;
    for (int i = 0; i < c.ne; ++i)
        fin >> c.e[i].nume >> c.e[i].media;

    fin.close();

}
void AfiseazaClasa(const Clasa& c)
{
    std::ofstream fout("clasa.out");
    fout << c.num << '\n';
    fout << c.dirig << '\n';

    for (int i = 0; i < c.ne; ++i)
        fout << c.e[i].nume << ' '
             << c.e[i].media << '\n';

    fout.close();
}
