#include <fstream>
#include <string>

struct Elev {
    std::string nume;
    double media;
};

struct Clasa {
    std::string num;   /// numele clasei
    std::string dirig;
    int ne;            // nr de elevi
    Elev e[35];        // e[0], e[1],
};

struct Scoala {
    std::string nume_scoala;
    std::string dir;
    int nc;      /// nr de clase
    Clasa c[30];
};


void CitesteScoala(Scoala& s);
void AfiseazaScoala(const Scoala& s);

int main()
{
    Scoala s;
    CitesteScoala(s);
    AfiseazaScoala(s);

    return 0;
}

void CitesteScoala(Scoala& s)
{
    std::ifstream fin("scoala.in");
    fin >> s.nume_scoala;
    fin >> s.dir;
    fin >> s.nc;
    for (int i = 0; i < s.nc; ++i)
    {
        fin >> s.c[i].num >> s.c[i].dirig;
        fin >> s.c[i].ne;
        for (int j = 0; j < s.c[i].ne; ++j)
            fin >> s.c[i].e[j].nume
                >> s.c[i].e[j].media;
    }

    fin.close();

}
void AfiseazaScoala(const Scoala& s)
{
    std::ofstream fout{ "scoala.out" };

    fout << s.nume_scoala << '\n'
         << s.dir << "\n\n";

    for (int i = 0; i != s.nc; ++i)
    {
        fout << s.c[i].num << '\n'
             << s.c[i].dirig << '\n';

        for (int j = 0; j != s.c[i].ne; ++j)
        {
            fout << s.c[i].e[j].nume << ' '
                 << s.c[i].e[j].media << '\n';
        }
        fout << '\n';
    }

    fout.close();
}
